
#pragma once

#include "CoreMinimal.h"
#include "OrderTranslationManager.generated.h"

class ANpcPawn;
class UCoffeeFilter;
class USUDSDialogue;

UCLASS()
class FAYE_API UOrderTranslationManager : public UObject
{
	GENERATED_BODY()
	
	UFUNCTION(BlueprintCallable, Category = "Translation Manger")
	static USUDSDialogue* GetCoffeeOrderDialogue(UCoffeeFilter* InFilter, ANpcPawn* Npc);
	
};
